Package org.eclipse.zest.layouts.algorithms

# Class DirectedGraphLayoutAlgorithm

java.lang.Object
org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm
org.eclipse.zest.layouts.algorithms.DirectedGraphLayoutAlgorithm

All Implemented Interfaces:
  `LayoutAlgorithm`

public class DirectedGraphLayoutAlgorithm extends AbstractLayoutAlgorithm

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DirectedGraphLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `DirectedGraphLayoutAlgorithm` instead.

## Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`context`

## Constructor Summary

Constructors
Constructor
Description
`DirectedGraphLayoutAlgorithm()`
`DirectedGraphLayoutAlgorithm(int orientation)`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyLayout(boolean clean)`
Makes this algorithm perform layout computation and apply it to its context.
`int`
`getOrientation()`
`void`
`setOrientation(int orientation)`

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`setLayoutContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectedGraphLayoutAlgorithm

public DirectedGraphLayoutAlgorithm()

Since:
  2.0

### DirectedGraphLayoutAlgorithm

public DirectedGraphLayoutAlgorithm(int orientation)

## Method Details

### getOrientation

public int getOrientation()

Since:
  2.0

### setOrientation

public void setOrientation(int orientation)

Since:
  2.0

### applyLayout

public void applyLayout(boolean clean)
Description copied from interface: `LayoutAlgorithm`
Makes this algorithm perform layout computation and apply it to its context.

Parameters:
  `clean` - if true the receiver should assume that the layout context has changed significantly and recompute the whole layout even if it keeps track of changes with listeners. False can be used after dynamic layout in a context is turned back on so that layout algorithm working in background can apply accumulated changes. Static layout algorithm can ignore this call entirely if clean is false.